# $Revision: 1.18 $, $Date: 2006/12/20 09:02:15 $

%define	_pre	pre1
%define	_sysconfdir	/etc/%{name}
Summary:	Console interface bandwidth usage monitor
Summary(pl):	Konsolowy monitor uycia interfejsu sieciowego
Name:		bmon
Version:	2.2.0
Release:	0.%{_pre}.3
License:	Artistic
Group:		Applications/Networking
Source0:	http://people.suug.ch/~tgr/bmon/files/%{name}-%{version}-%{_pre}.tar.gz
# Source0-md5:	f4ec66927751027f855886f3dc45c218
URL:		http://people.suug.ch/~tgr/bmon/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libdbi-devel
BuildRequires:	libnl-devel
BuildRequires:	ncurses-devel
BuildRequires:	postgresql-devel
BuildRequires:	rrdtool-devel >= 1.2.10
Conflicts:	nstats
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bmon is an interface bandwidth monitor.

It is able to generate and draw three types of diagrams:
- The overview diagram which is a list of all interfaces and their
  send/receive rates.
- A very MRTG like graphical diagram in ASCII showing the rate over a
  specific time period in a bar diagram.
- The details diagram which contains all counters of an interface such
  as total bytes sent/received, errors, compressed packets, ...

%description -l pl
bmon jest monitorem ruchu na interfejsach sieciowych.

Pozwala on na generowanie i rysowanie trzech typw diagramw:
- Diagram oglny ktry wywietla wszystkie interfejsy sieciowe i
  informacje o aktualnym zuyciu przepustowoci
- Diagram ASCII podobny do generowanego przez MRTG, pokazujcy
  informacje o przesyle danych w postaci wykresu paskowego
- Diagram szczegowy ktry zawiera wszystkie liczniki danego
  interfejsu, takie jak cakowita liczba bajtw odebranych/wysanych,
  bdy, skompresowane pakiety...

%package devel
Summary:	Header files for bmon
Summary(pl):	Pliki nagwkowe dla bmon
Group:		Development/Libraries

%description devel
Header files neccesary to develop bmon applications.

%description devel -l pl
Pliki nagwkowe niezbdne do tworzenia aplikacji korzystajcych z
bmon.

%prep
%setup -q -n %{name}-%{version}-%{_pre}

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}
cp -r etc/* $RPM_BUILD_ROOT%{_sysconfdir}
install include/%{name}/* $RPM_BUILD_ROOT%{_includedir}/%{name}/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bmon.spec,v $
Revision 1.18  2006/12/20 09:02:15  hawk
- release .3 to rebuild with PostgreSQL 8.2

Revision 1.17  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.16  2005/06/19 09:30:36  undefine
- fix md5

Revision 1.15  2005/06/19 09:27:24  undefine
- up to 2.2.0 pre1

Revision 1.14  2005/06/19 08:00:05  undefine
- BR: libnl-devel, sort BR

Revision 1.13  2005/06/19 07:36:55  undefine
- builds on amd64

Revision 1.12  2005/05/05 22:34:46  jasw
- up to 2.1.1-0.pre1.1
- add BR

Revision 1.11  2005/03/08 09:08:33  jasw
- up to 2.1.0-pre6

Revision 1.10  2005/03/06 15:31:27  glen
- adapterized

Revision 1.9  2005/03/06 14:28:25  darekr
- %verify() for config file

Revision 1.8  2004/11/05 10:49:23  paladine
- spaces->tabs
- cosmetics

Revision 1.7  2004/11/04 22:10:02  jasw
- add %config macro
- back autotool macro (thanks jm)

Revision 1.6  2004/11/04 13:40:38  jasw
- pl fix

Revision 1.5  2004/11/04 13:35:21  jasw
- up to 2.0.1 version
- add devel package

Revision 1.4  2004/03/04 22:00:46  mwinkler
- Conflicts bmon = nstats

Revision 1.3  2003/12/06 20:30:25  mwinkler
- updated to 1.2.1, removed unused patch0

Revision 1.2  2003/11/28 09:21:04  qboosh
- BR: ac,am,gt

Revision 1.1  2003/11/27 23:36:53  leafnode
- created, adapterized
